// gnome.xonotic.in.ua

models/mapobjects/skel/skel
{
	cull disable
	surfaceparm alphashadow
	{
		map models/mapobjects/skel/skel.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/wallhead/femhead
{
	deformvertexes wave 100 sin 0 .7 0 .2
	cull disable
	{
		map models/mapobjects/wallhead/femhead3.tga
		rgbgen vertex
	}
	{
		map models/mapobjects/wallhead/femhead4.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		alphagen wave sin 0 1 1 .1
		rgbgen vertex
	}
}

noshader
{
	surfaceparm trans
	surfaceparm nomarks
	cull none
	{
		map noshader.tga
		tcmod scale 1.0 1.0
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		depthfunc equal
		rgbgen identity
	}
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/cushion
{
	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm trans
}

textures/common/donotenter
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm donotenter
}

textures/common/nodrawnonsolid
{
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nodraw
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/island/altarslime_900
{
	qer_editorimage textures/liquids/slime7.tga
	q3map_lightimage textures/liquids/slime7.tga
	q3map_globaltexture
	qer_trans .5
	surfaceparm noimpact
	surfaceparm water
	surfaceparm nolightmap
	surfaceparm trans
	q3map_surfacelight 1400
	tesssize 32
	deformvertexes wave 100 sin 0 1 .5 .5
	{
		map textures/liquids/slime7c.tga
		tcmod turb .3 .2 1 .05
		tcmod scroll .01 .01
	}
	{
		map textures/liquids/slime7.tga
		blendfunc gl_one gl_one
		tcmod turb .2 .1 1 .05
		tcmod scale .5 .5
		tcmod scroll .01 .01
	}
	{
		map textures/liquids/bubbles.tga
		blendfunc gl_zero gl_src_color
		tcmod turb .2 .1 .1 .2
		tcmod scale .05 .05
		tcmod scroll .001 .001
	}
}

textures/island/entity_clip
{
	qer_editorimage textures/island/entityclip.tga
	qer_trans 0.40
	surfaceparm trans
	surfaceparm nodraw
	surfaceparm solid
}

textures/island/flame_600
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull none
	q3map_surfacelight 600
	qer_editorimage textures/sfx/flame1.tga
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6
	}
}

textures/island/limestone
{
	qer_editorimage textures/island/concrete.tga
	surfaceparm nonsolid
	{
		map textures/island/concrete.tga
		blendfunc gl_one gl_zero
		depthwrite
		rgbgen identitylighting
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_src_color
		depthfunc equal
	}
}

textures/island/noon_sky
{
	q3map_lightimage textures/common/white.tga
	q3map_lightsubdivide 2048
	q3map_globaltexture
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sun .5 .6 .8 125 45 65
	q3map_surfacelight 125
	qer_editorimage textures/island/post/gazebotex099.tga
	skyparms env/austria/austriasky - -
}

textures/island/ocean
{
	qer_editorimage textures/island/slime7.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	surfaceparm water
	qer_nocarve
	fogparms ( 0.1 0.3 0.4 ) 1400
}

textures/island/ocean_wave
{
	qer_editorimage textures/island/ocean_5c.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	{
		map textures/island/ocean_5c.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{
		map textures/island/ocean_6c.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{
		map textures/island/ocean_3c.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/island/palm_bark
{
	qer_editorimage textures/island/desert/palmbark.tga
	{
		map textures/island/desert/palmbark.tga
		blendfunc gl_one gl_zero
		depthwrite
		rgbgen identitylighting
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_src_color
		depthfunc equal
	}
}

textures/island/palm_frond
{
	qer_editorimage textures/island/desert/palmfrond.tga
	surfaceparm nonsolid
	cull none
	nopicmip
	deformvertexes wave 150 sin 0 1 0 .4
	surfaceparm nolightmap
	{
		map textures/island/desert/palmfrond.tga
		blendfunc gl_one gl_one_minus_src_alpha
		alphafunc ge128
		depthwrite rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/island/shipwood
{
	qer_editorimage textures/island/dunwich/ik_wood_trimv64d.tga
	surfaceparm nonsolid
	{
		map textures/island/dunwich/ik_wood_trimv64d.tga
		blendfunc gl_one gl_zero
		depthwrite
		rgbgen identitylighting
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_src_color
		depthfunc equal
	}
}

textures/island/xmarks
{
	qer_editorimage textures/island/xmark.tga
	qer_trans 0.80
	surfaceparm trans
	surfaceparm nonsolid
	cull front
	nopicmip
	surfaceparm nolightmap
	{
		clampmap textures/island/xmark.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		depthwrite rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/sfx/flame1side
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6
	}
}

